razor beta 2 & client 2.0.3

Discussion in 'Razor: The Cutting Edge UO Assistant' started by Kiroshy, Sep 15, 2003.

  1. Kiroshy Wanderer

    Message Count:
    12
    razor beta 2 & client 2.0.3

    When i login onto shard with razor, it says im not using 2.0.3 client and disconnect me... im using 2.0.3 ... WTF?:)
  2. Zippy Razor Creator

    Message Count:
    19,637
    Razor does not support any clients before 3.0.8
  3. PerfectWing Wanderer

    Message Count:
    4,820
    Most Sphere shards now use this Injection/Ignition detection script. It doesn't so much as detect either of those, as it does detect unencrypted clients; which is exactly what you are using when you login with Razor. Even when this is removed (and I have checked this with the current administrator of The Darkside Shard) Razor returns very familiar Injection errors "EAT BYTE 4" and something else as well. Allow me to post the conversation.

    [IMG]
  4. TheOutkastDev Knight

    Message Count:
    15,668
    then screw sphere. Not like they appreciated razor to begin with. If we had to make our things work with every other bad emulator out their, Zippy would need to make Razor a shitty and poorly coded/buggy tool.
  5. silverwolfe Page

    Message Count:
    4,339
    it was my understanding that razor was writen as a compliemnt to RunUO if it happens to work on other emulators so much the better. but as i understand there was no promise of compatability to other emu's
  6. Zippy Razor Creator

    Message Count:
    19,637
    Razor is designed and attempts to support any emulator which supports 3.0.8 and above unencrypted clients.....

    This means razor does not at this time support 2.0.3 and does not support encrypted clients at any time.

    I will consider adding LIMITED support for 2.0.3, it depends what else is different protocol wise other than the skills (which I'm aware of and just forgot to fix). As for encrypted clients, I will take a PEEK at that, but right now it's unlikely. I have the code for encrypted clients 4.0.0 and up, but at this time I have choosen not to make it public to avoid issues with razor being used on OSI.

    I don't think I'll be adding support for 2.0.3 encrypted clients, I think the whole idea of an emulator or shard requiring you to use a client that is 2+ years old is kind of ridiculous....
  7. Phantom Knight

    Message Count:
    15,486
    I have to agree with Zippy, If your going to use something besides RunUO at least use an updated version of that given emulator. Sadly this means Sphere 55i's players might not be able to use Razor as Zippy doesn't plan on adding the encryption it requires.

    Of course this is changed as the newer versions of that emulator support the newer clients.
  8. shadeuo Guest

    Message Count:
    0
    One thing i dont understand every one keeps saying "the people over at sphere". they are getting mad because runuo dev comes out with a uoa tool that wasnt intended for sphere. and runuo is stealing their supporters. just a thought but i was with sphere emu for like 2 yrs and i never really knew they even had a staff. now with runuo we have Ryan, Zippy and many others that get involved in their comunity they created. and who is the people over at sphere? they actully have a staff lol. well sorry for my rif raf just had to get that off my chest. Great work runuo staff you have put the heart beat back in uo. :D
  9. silverwolfe Page

    Message Count:
    4,339
    an old saying comes to mind here

    "Build a better mouse trap, and the world will beat a path to your door."

    Nuf said.
  10. PerfectWing Wanderer

    Message Count:
    4,820
    If they want to call winning users over with a superior product, by their own choice, "stealing", then I guess they would be right.

    The only 'problem' with RunUO is a lot of misinformed non/users. A lot of things I've heard about RunUO that is wrong or not completely true is:

    - Requires a larger server to run. (And thus more expensive.)
    - All RunUO shards are OSI clones.
    - RunUO is difficult to script for and not very customizable.
    - There is a significant chance with each upgrade that something will go wrong and everything will be lost.
    - RunUO supports AOS (and AOS SUXXOR!!)
    - I don't want to learn C# to make a UO shard.
    - RunUO is difficult to administrate.

    I've spoken on numerous occasions to people who just will not be convinced otherwise, no matter what you tell them or what evidence you bring forth to them. It's a shame too, because they have no idea what they are missing.
    One person flamed me because Razor won't work with Sphere. I found that hilarious, but stupid at the same time.

    I'd love to continue, but I will be late for work if I don't go now, so, be back in about 5 hours or so.
  11. rekcah Wanderer

    Message Count:
    240
    LOCK

    Can A Mod Lock This Post Its Pointless And Just People Bashing Sphere. Razor Is Designed To Run With tHe Latest Clients And Im Sure Zippy Will Agree That He Will Not Be Adding Support For Older Clients. If Your Emulator Wolnt Support A Newer Client Thats Your Emulators Problem

    Rekcah
  12. Phantom Knight

    Message Count:
    15,486
    its so fun to bash sphere though ;)
  13. flowerbudd Sorceror

    Message Count:
    2,802
    Sphere can use their little nonosi uoassist. Razor is for RunUo, which is so much more advanced and capable. In my opinion runuo vs sphere is like a titan vs a mongbat, plus why help them? they are dying and they know it. I staffed for over a year on Oblivion, sphere 55.1 and i have had people who swore they would never upgrade, and running Pre-T2A software.. ordering AOS off of amazon.com, ebay, or buying it in store, because of how much more RunUo offers compared to Sphere. They say over at Oblivion that Sphere will never die, but I tend to disagree. Just since i started my shard here, I have seen the server status page decline for Oblivion, and my new account requests grow.
  14. LordMerlix Sorceror

    Message Count:
    1,441
    lost topic a few posts back

    *locked*
  15. Zippy Razor Creator

    Message Count:
    19,637
    Just to say one last time, Razor is not just for RunUO.... it's for any emu that can support 4.0.0

Share This Page